qt5 announce please

Denis Excoffier cygwin@Denis-Excoffier.org
Tue Nov 4 19:50:00 GMT 2014


On 2014-11-03 23:17, Yaakov Selkowitz wrote:
>> 
>> On 2014-11-03 16:10, Denis Excoffier wrote:
> 
>> 
>>> Perhaps unrelated, i cannot compile cmake-3.1.0-rc1 any more since that.
>> 
>> http://sourceforge.net/p/cygwin-ports/cmake/ci/master/tree/2.8.12-gui-qt4.patch
>> 
>> or, presumably, inherit qt5 instead of qt4 and change the boostrap argument to --qt-qmake=${QT5_QMAKE}.
> 
> Thanks for the hints.

Like in 2.8.12-gui-qt4.patch, i commented out "find_package(Qt5Core QUIET)" in Tests/RunCMake/CMakeLists.txt
and also "find_package(Qt5Widgets QUIET NO_MODULE)" in Tests/CMakeLists.txt. Only then i was able to compile
successfully. Also, i didn't touch the "find_package(Qt5Widgets QUIET)" in Source/QtDialog/CMakeLists.txt
which does not seem to cause any harm.

Thanks,

Denis Excoffier.


--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple



More information about the Cygwin mailing list